### Name: pcf
### Title: Pair Correlation Function
### Aliases: pcf
### Keywords: spatial

### ** Examples

  # univariate point pattern
  data(simdat)
  p <- pcf(simdat, spar=0.5, method="b")
  plot(p, main="pair correlation function for simdat")
  # indicates inhibition at distances r < 0.3

  # multitype point pattern
  data(betacells)
  p <- pcf(alltypes(betacells, "K"), spar=0.5, method="b")
  plot(p)
  # short range inhibition between all types
  # strong inhibition between "on" and "off"



