### Name: quadscheme
### Title: Generate a Quadrature Scheme from a Point Pattern
### Aliases: quadscheme
### Keywords: spatial

### ** Examples

  data(simdat)

  # grid weights
  Q <- quadscheme(simdat)
  Q <- quadscheme(simdat, , "grid")
  Q <- quadscheme(simdat, nd=50)           # 1 dummy point per tile
  Q <- quadscheme(simdat, ntile=25, nd=50) # 4 dummy points per tile

  # Dirichlet weights
  Q <- quadscheme(simdat, , "dirichlet", exact=FALSE)

  # random dummy pattern
  D <- runifpoint(250, simdat$window)
  Q <- quadscheme(simdat, D, "dirichlet", exact=FALSE)



